Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200802-04 ] Gallery: Multiple vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1581

PostPosted: Tue Feb 12, 2008 12:26 am    Post subject: [ GLSA 200802-04 ] Gallery: Multiple vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Gallery: Multiple vulnerabilities (GLSA 200802-04)
Severity: high
Exploitable: remote
Date: February 11, 2008
Bug(s): #203217
ID: 200802-04

Synopsis

Multiple vulnerabilities were discovered in Gallery.

Background

Gallery is a web-based application for creating and viewing photo albums.

Affected Packages

Package: www-apps/gallery
Vulnerable: < 2.2.4
Unaffected: >= 2.2.4
Unaffected: < 2.0
Architectures: All supported architectures


Description

The Gallery developement team reported and fixed critical vulnerabilities during an internal audit (CVE-2007-6685, CVE-2007-6686, CVE-2007-6687, CVE-2007-6688, CVE-2007-6689, CVE-2007-6690, CVE-2007-6691, CVE-2007-6692, CVE-2007-6693).

Impact

A remote attacker could exploit these vulnerabilities to execute arbitrary code, conduct Cross-Site Scripting and Cross-Site Request Forgery attacks, or disclose sensitive informations.

Workaround

There is no known workaround at this time.

Resolution

All Gallery users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=www-apps/gallery-2.2.4"


References

CVE-2007-6685
CVE-2007-6686
CVE-2007-6687
CVE-2007-6688
CVE-2007-6689
CVE-2007-6690
CVE-2007-6691
CVE-2007-6692
CVE-2007-6693
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum